/* ScummVM - Scumm Interpreter
 * Copyright (C) 2001/2002 The ScummVM project
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Header$
 *
 */

#ifndef __CODEC44_H_
#define __CODEC44_H_

#include "config.h"

#ifdef DEBUG
# ifndef NO_DEBUG_CODEC44
#  define DEBUG_CODEC44
# endif
#else
# ifdef DEBUG_CODEC44
#  error DEBUG_CODEC44 defined without DEBUG
# endif
#endif

#include "decoder.h"

/*!	@brief ::decoder for codec 21 and 44.

*/
class codec44_decoder : public decoder {
public:
	bool decode(blitter & dst, chunck & src);
};

#endif
